curl --request GET \
--url https://api-{region}.sesametime.com/contract/v1/contracts/{contractId}/annexes/{annexId} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startAt": "2023-12-25",
"endAt": "2023-12-25",
"expiredAt": "2023-12-25",
"holidays": 123,
"comment": "<string>",
"code": "<string>",
"socialSecurityNumber": "<string>",
"cbo": "<string>",
"remoteWork": true,
"seniorityDate": "2023-12-25",
"jobPositionDescription": "<string>",
"weeklyHours": 123,
"maxLegalWeeklyHours": 123,
"maxLegalAnnualHours": 123,
"percentageWorkDay": 123,
"fte": 123,
"details": "<string>",
"trialEndDate": "2023-12-25",
"trialPeriod": {
"trialPeriodType": "months",
"quantity": "6"
},
"workDays": [
{
"day": "monday",
"hour": 123
}
],
"jobCharge": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"workdayType": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"editable": true
},
"contractType": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"degree": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"editable": true
},
"agreement": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"jobLevel": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}Retrieves a specific annex from a contract.
curl --request GET \
--url https://api-{region}.sesametime.com/contract/v1/contracts/{contractId}/annexes/{annexId} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startAt": "2023-12-25",
"endAt": "2023-12-25",
"expiredAt": "2023-12-25",
"holidays": 123,
"comment": "<string>",
"code": "<string>",
"socialSecurityNumber": "<string>",
"cbo": "<string>",
"remoteWork": true,
"seniorityDate": "2023-12-25",
"jobPositionDescription": "<string>",
"weeklyHours": 123,
"maxLegalWeeklyHours": 123,
"maxLegalAnnualHours": 123,
"percentageWorkDay": 123,
"fte": 123,
"details": "<string>",
"trialEndDate": "2023-12-25",
"trialPeriod": {
"trialPeriodType": "months",
"quantity": "6"
},
"workDays": [
{
"day": "monday",
"hour": 123
}
],
"jobCharge": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"workdayType": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"editable": true
},
"contractType": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"degree": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"editable": true
},
"agreement": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"jobLevel": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}API token obtained from Sesame HR Dashboard > Settings > Integrations > API
The ID of the contract
The ID of the annex
Suggestions